Skip to content
Browse API reference

Delete User Data

Deprecated

GDPR introduced Article 17: Right to be forgotten. This states that users have the right to request that all the data held on them be permanently purged. If you receive this request from your user, you may also need to forward the request to your vendors, such as Castle, so that the vendor can purge that user’s data too. This API endpoint is designed to be used for these User Data Purge Requests. A call to this endpoint will permanently delete the user and their data from our systems.

Request

DELETE https://api.castle.io/v1/privacy/users/{id}

Path parameters

idrequired
string

ID of the user

Response

202
No body

Accepted

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

500
No body

There’s an issue on our end.